Bug 1091483 - Review Request: python-pyprintr - Module that allows to emulate the print_r() PHP function
Summary: Review Request: python-pyprintr - Module that allows to emulate the print_r()...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-25 17:21 UTC by Eduardo Mayorga
Modified: 2014-11-14 12:03 UTC (History)
2 users (show)

Fixed In Version: python-pyprintr-1.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-14 00:16:00 UTC
volker27: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eduardo Mayorga 2014-04-25 17:21:52 UTC
Spec URL: http://mayorga.fedorapeople.org/python-pyprintr.spec
SRPM URL: http://mayorga.fedorapeople.org/python-pyprintr-1.0-1.fc20.src.rpm
Description: pyprintr is a module that allows to emulate the print_r() function of PHP
by printing the objects properties of a class instance and its internal
structure.
Fedora Account System Username: mayorga

rpmlint output:
[makerpm@localhost SPECS]$ rpmlint python-pyprintr.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[makerpm@localhost SRPMS]$ rpmlint python-pyprintr-1.0-1.fc20.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Volker Fröhlich 2014-07-07 15:14:14 UTC
While the name python-pyprintr seems to be legitimate, may I suggest python-printr instead? This matches the schema "python-%{module_name}".

Please tell the author and correct rpmlint's finding on the shebang:

"#! -*- coding: utf-8 -*-" should be "# -*- coding: utf-8 -*-" -- Mind the exclamation mark!

Make the package noarch! That's a must.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/1091483-python-pyprintr/licensecheck.txt
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[!]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-pyprintr-1.0-1.fc21.x86_64.rpm
          python-pyprintr-1.0-1.fc21.src.rpm
python-pyprintr.x86_64: E: no-binary
python-pyprintr.x86_64: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/printr/__init__.py -*-
python-pyprintr.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/printr/__init__.py 0644L -*-
2 packages and 0 specfiles checked; 3 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-pyprintr
python-pyprintr.x86_64: E: no-binary
python-pyprintr.x86_64: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/printr/__init__.py -*-
python-pyprintr.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/printr/__init__.py 0644L -*-
1 packages and 0 specfiles checked; 3 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-pyprintr (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-pyprintr:
    python-pyprintr
    python-pyprintr(x86-64)



Source checksums
----------------
https://pypi.python.org/packages/source/p/pyprintr/pyprintr-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 05cc6089c50431f0d110ffe7d8338299be87fc29d0b24b558ef4b400c18b63ff
  CHECKSUM(SHA256) upstream package : 05cc6089c50431f0d110ffe7d8338299be87fc29d0b24b558ef4b400c18b63ff


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1091483
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Eduardo Mayorga 2014-07-25 19:51:56 UTC
(In reply to Volker Fröhlich from comment #1)
> While the name python-pyprintr seems to be legitimate, may I suggest
> python-printr instead? This matches the schema "python-%{module_name}".

There's actually another module called 'printr' in PyPI.
https://pypi.python.org/pypi/printr/1.0.4

> Please tell the author and correct rpmlint's finding on the shebang:
> 
> "#! -*- coding: utf-8 -*-" should be "# -*- coding: utf-8 -*-" -- Mind the
> exclamation mark!

Done.

> Make the package noarch! That's a must.

Done.

Spec URL: http://mayorga.fedorapeople.org/python-pyprintr.spec
SRPM URL: https://mayorga.fedorapeople.org/python-pyprintr-1.0-2.fc20.src.rpm

Comment 3 Volker Fröhlich 2014-07-29 03:53:27 UTC
APPROVED

Comment 4 Eduardo Mayorga 2014-07-29 14:30:52 UTC
New Package SCM Request
=======================
Package Name: python-pyprintr
Short Description: Module that allows to emulate the print_r() PHP function
Upstream URL: http://www.python-printr.org/
Owners: mayorga
Branches: f20 f21 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2014-07-29 15:18:39 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-07-29 17:25:20 UTC
python-pyprintr-1.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-pyprintr-1.0-2.fc20

Comment 7 Fedora Update System 2014-07-30 06:56:25 UTC
python-pyprintr-1.0-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 8 Fedora Update System 2014-08-01 21:00:39 UTC
python-pyprintr-1.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pyprintr-1.0-3.el6

Comment 9 Fedora Update System 2014-11-14 00:16:00 UTC
python-pyprintr-1.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 10 Fedora Update System 2014-11-14 12:03:27 UTC
python-pyprintr-1.0-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.